> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# shipmenttype

> MDO list provider for ConsentPurpose

## "shipmenttype" MDO List

MDO list provider for ConsentPurpose

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ShipmentTypeProvider">ShipmentTypeProvider</see> class.
The name of the MDO list is 'shipmenttype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/shipmenttype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("shipmenttype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name            | StyleHint | ExtraInfo |
| -- | --------------- | --------- | --------- |
| 1  | Invitations     |           |           |
| 2  | News            |           |           |
| 3  | Promotions      |           |           |
| 4  | Urgent messages |           |           |

## Related MDO Lists

* "shipmenttypeheadings"
* "shipmenttypeheadingswithallitem"
* "shipmenttypeheadingswithallitemwithnoselection"
* "shipmenttypeheadingswithnoselection"
* "shipmenttypewithallitem"
* "shipmenttypewithallitemwithnoselection"
* "shipmenttypewithnoselection"


## Related topics

- [ShipmentType table](/en/database/tables/shipmenttype.md)
- [ShipmentTypeReservation table](/en/database/tables/shipmenttypereservation.md)
- [What's new in version 10.3.9.718](/release-notes/database/changes-10.3.9.md)
- [What's new in version 10.5.1.1092](/release-notes/database/changes-10.5.1.md)
- [What's new in version 10.5.2.435](/release-notes/database/changes-10.5.2.md)
- [What's new in version 10.5.3.711](/release-notes/database/changes-10.5.3.md)
